KHSSelector class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KHSSelector Class Reference

Widget for Hue/Saturation selection. More...

`#include <kcolordialog.h>`

Inheritance diagram for KHSSelector:

[legend]
Collaboration diagram for KHSSelector:

[legend]
List of all members.

## Public Member Functions
| KHSSelector (QWidget *parent=0, const char *name=0)
| Constructs a hue/saturation selection widget.
## Protected Member Functions
virtual void | drawPalette (QPixmap *pixmap)
| Draws the contents of the widget on a pixmap, which is used for buffering.
virtual void | resizeEvent (QResizeEvent *)
virtual void | drawContents (QPainter *painter)
| Reimplemented from KXYSelector.
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Widget for Hue/Saturation selection.

The actual values can be fetched using the inherited xValue and yValue methods.

See also:
  KXYSelector, KValueSelector, KColorDialog

Author:
  Martin Jones (mjones@kde.org)

Version:
  Id
    kcolordialog.h,v 1.50 2002/08/01 14:19:52 coolo Exp

Definition at line 56 of file kcolordialog.h.

## Constructor & Destructor Documentation

KHSSelector::KHSSelector | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a hue/saturation selection widget.

## Member Function Documentation

virtual void KHSSelector::drawPalette | ( | QPixmap * | pixmap | ) | `[protected, virtual]`

| Draws the contents of the widget on a pixmap, which is used for buffering.

virtual void KHSSelector::drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

| Reimplemented from KXYSelector. This drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used. Reimplemented from KXYSelector.

The documentation for this class was generated from the following file:

- kcolordialog.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:01:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001